import { NuxtModule } from '@nuxt/schema';

interface ModuleOptions {
    /**
     * Whether to generate the blurry placeholder on the server-side if a BlurHash
     * or ThumbHash is provided via the `blurhash`, respectively `thumbhash` prop.
     *
     * @default true
     */
    ssr?: boolean;
    /**
     * The size of the longer edge (width or height) of the BlurHash image to be
     * decoded, depending on the aspect ratio.
     *
     * @remarks
     * This option is ignored if the a ThumbHash is used.
     *
     * @default 32
     */
    placeholderSize?: number;
}
declare const _default: NuxtModule<ModuleOptions>;

export { type ModuleOptions, _default as default };
